Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_const_entry_struct Struct Reference

`#include <constant.h>`

## Data Fields
rb_const_flag_t | flag
VALUE | value
VALUE | file
int | line

## Detailed Description

Definition at line 19 of file constant.h.

## Field Documentation

VALUE rb_const_entry_struct::file

Definition at line 22 of file constant.h.

Referenced by mark_const_entry_i(), and rb_const_set().

rb_const_flag_t rb_const_entry_struct::flag

Definition at line 20 of file constant.h.

Referenced by list_i(), rb_const_defined_0(), rb_const_get_0(), and rb_const_set().

int rb_const_entry_struct::line

Definition at line 23 of file constant.h.

Referenced by rb_const_set().

VALUE rb_const_entry_struct::value

Definition at line 21 of file constant.h.

Referenced by fc_i(), mark_const_entry_i(), rb_const_defined_0(), rb_const_get_0(), and rb_const_set().

The documentation for this struct was generated from the following file:

- constant.h